net.sf.okapi.lib.xliff2.validation

## Enum Rule.Type

- java.lang.Object
- - java.lang.Enum<Rule.Type>
  - - net.sf.okapi.lib.xliff2.validation.Rule.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Rule.Type>
  Enclosing class:
    Rule

      public static enum Rule.Type
      extends java.lang.Enum<Rule.Type>

  Types of validation rule.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM`
    `ENDSWITH`
    `ISNOTPRESENT`
    `ISPRESENT`
    `STARTSWITH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Rule.Type` | `fromString(java.lang.String name)`
    `java.lang.String` | `toString()`
    `static Rule.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Rule.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ISPRESENT

          public static final Rule.Type ISPRESENT

    - #### ISNOTPRESENT

          public static final Rule.Type ISNOTPRESENT

    - #### STARTSWITH

          public static final Rule.Type STARTSWITH

    - #### ENDSWITH

          public static final Rule.Type ENDSWITH

    - #### CUSTOM

          public static final Rule.Type CUSTOM

  - ### Method Detail

    - #### values

          public static Rule.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Rule.Type c : Rule.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Rule.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Rule.Type>`

    - #### fromString

          public static Rule.Type fromString(java.lang.String name)